Public Class Form1

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim f1 As Integer, f2 As Integer, f3 As Integer
        Dim i As Integer
        f1 = 1 : f2 = 1    ' 初始条件
        TextBox1.Text = f1 & "  " & f2
        For i = 3 To 20
            f3 = f1 + f2    ' 递推公式1
            TextBox1.Text = TextBox1.Text & "  " & f3
            f1 = f2 : f2 = f3      ' 递推公式2
        Next i
    End Sub
End Class
